# -*- encoding: utf-8 -*-
# stub: tlspretense 0.7.0 ruby lib

Gem::Specification.new do |s|
  s.name = "tlspretense".freeze
  s.version = "0.7.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["William (B.J.) Snow Orvis".freeze]
  s.date = "2017-12-07"
  s.description = "    TLSPretense provides a set of tools to test SSL/TLS certificate validation.\n    It includes a library for generating certificates and a test framework for\n    running tests against a client by intercepting client network traffic.\"\n".freeze
  s.email = "bjorvis@isecpartners.com".freeze
  s.executables = ["tlspretense".freeze]
  s.extra_rdoc_files = ["LICENSE.txt".freeze, "README.rdoc".freeze, "doc/general_setup.rdoc".freeze, "doc/linux_setup.rdoc".freeze, "doc/macosx_setup.rdoc".freeze]
  s.files = ["LICENSE.txt".freeze, "README.rdoc".freeze, "bin/tlspretense".freeze, "doc/general_setup.rdoc".freeze, "doc/linux_setup.rdoc".freeze, "doc/macosx_setup.rdoc".freeze]
  s.homepage = "https://github.com/iSECPartners/tlspretense".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "SSL/TLS client testing framework".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<eventmachine>.freeze, [">= 1.0.0"])
    s.add_runtime_dependency(%q<ruby-termios>.freeze, [">= 0.9.6"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.7"])
    s.add_development_dependency(%q<rdoc>.freeze, ["~> 3.12"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.7"])
  else
    s.add_dependency(%q<eventmachine>.freeze, [">= 1.0.0"])
    s.add_dependency(%q<ruby-termios>.freeze, [">= 0.9.6"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.3"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.7"])
    s.add_dependency(%q<rdoc>.freeze, ["~> 3.12"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.7"])
  end
end
